/** ScatterPlotImpl.java.

	Purpose:
		
	Description:
		
	History:
		9:39:06 AM Jan 14, 2014, Created by jumperchen

Copyright (C) 2014 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.XYModel;

/**
 * A model implementation for scatter chart
 * @author jumperchen
 *
 */
public class ScatterPlotImpl  extends PlotEngineImpl {
	public ScatterPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof XYModel) {
			return drawXYModel((XYModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
